package com.ssj.service.conch.common.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;


/** 
 * @author  ZhangCaibao 
 * @version 2018年7月12日 下午2:26:50 
 * 类说明 
 */
public class ProblemListReq extends BaseRequest{
	/**
	 * 
	 */
	private static final long serialVersionUID = 3107100044412566812L;
	
	@ApiModelProperty(name="title",value="标题",required=true)
	private String title;
	@ApiModelProperty(name="pageSize",value="一页多少条",required=true)
	private int pageSize=10;
	@ApiModelProperty(name="pageNo",value="第几页",required=true)
	private int pageNo=1;
	@ApiModelProperty(name="stat",value="1.老师端2.家长端3.馆长助理端4.老师端5校长端",required=true)
	private Integer stat ;
	@ApiModelProperty(name="type",value="1.家庭图书馆2.同伴作业吧3.阅读评测,4一对一",required=true)
	private Integer type ;
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public int getPageSize() {
		return pageSize;
	}
	public void setPageSize(int pageSize) {
		this.pageSize = pageSize;
	}
	public int getPageNo() {
		return pageNo;
	}
	public void setPageNo(int pageNo) {
		this.pageNo = pageNo;
	}
	public Integer getStat() {
		return stat;
	}
	public void setStat(Integer stat) {
		this.stat = stat;
	}
	public Integer getType() {
		return type;
	}
	public void setType(Integer type) {
		this.type = type;
	}
	
	
	
	
	
}
